%global _hardened_build 1

Summary:        Program for controlling the MiniPRO TL866xx series of chip programmers
Name:           minipro
Version:        0.7.2
Release:        1%{?dist}
License:        GPLv3

URL:            https://gitlab.com/DavidGriffith/minipro
Source:         https://gitlab.com/DavidGriffith/minipro/-/archive/%{version}/%{name}-%{version}.tar.gz
Source1:        minipro-udev.rules

Patch1:         minipro-0.7-database.patch

Requires:       srecord
Requires:       bash-completion

BuildRequires:  gcc
BuildRequires:  bash-completion
BuildRequires:  systemd
BuildRequires:  libusbx-devel

%description
Software for Minipro TL866XX series of programmers from autoelectric.cn
Used to program flash, EEPROM, etc.

%prep
%autosetup -p 1

%build
%if 0%{?rhel} == 7
export CFLAGS=-std=gnu99
%endif
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} PREFIX=%{_prefix}

# Use our own udev rules
rm %{buildroot}/%{_udevrulesdir}/*.rules
install -D -p -m 0644 %{SOURCE1} %{buildroot}/%{_udevrulesdir}/60-minipro.rules

%files
%{!?_licensedir:%global license %%doc}
%license LICENSE
%doc README.md
%{_bindir}/minipro
%{_datadir}/minipro/*
%{_datadir}/bash-completion/completions/*
%{_mandir}/man1/%{name}.*
%{_udevrulesdir}/*.rules

%changelog
* Wed Sep 09 2024 Greg Wildman <greg@techno.co.za> - 0.7.2-1
- New version.

* Fri May 03 2024 Greg Wildman <greg@techno.co.za> - 0.7-1
- New version.

* Tue May 09 2023 Greg Wildman <greg@techno.co.za> - 0.6git9db72e9.20230403-1
- Merge request 221. Add support for Xicor X28HC256.

* Thu Dec 29 2022 Greg Wildman <greg@techno.co.za> - 0.6git63d9301.20221204-1
- Updated to 0.6 plus commits.

* Mon Aug 23 2021 Greg Wildman <greg@techno.co.za> - 0.5git0774b07.20210805-1
- Initial spec.

